// the outputs b17 and b16 have to be correctly attached to 
// corresponding QIE data going out
// Aldec is not recognizing  : synthesis attribute
// the LUTs are initialized using the following table:
// Link_er prevails on LSB_er.
/*      
Er DV LSB_er : b17 b16  
0   0   0    :  0   0 ;   // IDLE
0   0   1    :  0   0 ;   // IDLE (LSB er meaningless) 
0   1   0    :  0   1 ;   // Data Valid
0   1   1    :  1   1 ;   // LSB error     
1   0   0    :  1   0 ;   // Comma -> Link_error
1   0   1    :  1   0 ;   // Comma -> Link_error
1   1   0    :  1   0 ;   // Link_error
1   1   1    :  1   0 ;   // Link & LSB_er -> Link er    
LUT3 Function Table
Inputs   Output
I2 I1 I0 O
0  0  0  INIT[0]
0  0  1  INIT[1]
0  1  0  INIT[2]
0  1  1  INIT[3]
1  0  0  INIT[4]
1  0  1  INIT[5]
1  1  0  INIT[6]
1  1  1  INIT[7]
INIT = binary equivalent of the hexadecimal number assigned to the INIT attribute
*/  

module FlagTables (b17, b16, Er, DV, LSB_er);
   output b17,b16;
   input  Er, DV, LSB_er;

LUT3 LUT3_b17_lut 
 ( .O (b17),   .I0 (LSB_er),  .I1 (DV), .I2 (Er) );
// synthesis attribute INIT of LUT3_b17_lut "F8"

LUT3 LUT3_b16_lut
 ( .O (b16), .I0 (LSB_er), .I1 (DV), .I2 (Er)  );
// synthesis attribute INIT of LUT3_b16_lut "0C"
endmodule